//Author: Bo Yan (http://geog.ucsb.edu/~boyan/)
//Date: 2/21/2015
//Project: MAT259 3D Visualization

class Geo {
  private String countryCode;
  private float lat;
  private float lng;
  private float distance;
  private int pubCount;
  
  public Geo(String geoString, String countString){
    this.countryCode = split(geoString.replace("\"",""), ",")[3];
    this.lat = Float.parseFloat(split(geoString.replace("\"",""), ",")[0]);
    this.lng = Float.parseFloat(split(geoString.replace("\"",""), ",")[1]);
    this.distance = Float.parseFloat(split(geoString.replace("\"",""), ",")[2]);
    this.pubCount = Integer.parseInt(countString);
  }
  
  public int geoColorPick(int[][] colorBrewer, String[][] continentCode) {
    int colorSelector=0;
    for (int i=0; i<continentCode.length; i++) {
      if (countryCode.equals(continentCode[i][0])) {
        if (continentCode[i][1].equals(contCodeName[0][0])) {
          colorSelector = 0;
        }
        else if (continentCode[i][1].equals(contCodeName[1][0])) {
          colorSelector = 1;
        }
        else if (continentCode[i][1].equals(contCodeName[2][0])) {
          colorSelector = 2;
        }
        else if (continentCode[i][1].equals(contCodeName[3][0])) {
          colorSelector = 3;
        }
        else if (continentCode[i][1].equals(contCodeName[4][0])) {
          colorSelector = 4;
        }
        else if (continentCode[i][1].equals(contCodeName[5][0])) {
          colorSelector = 5;
        }
      }
    }
    return colorSelector;
  }
  
  public String getCountryCode(){
    return countryCode;
  }
  public float getLat(){
    return lat;
  }
  public float getLng(){
    return lng;
  }
  public float getDistance(){
    return distance;
  }
  public int getPubCount(){
    return pubCount;
  }
}
