//Author: Bo Yan (http://geog.ucsb.edu/~boyan/)
//Date: 2/21/2015
//Project: MAT259 3D Visualization


import peasy.*;
import controlP5.*;

//PeasyCam
PeasyCam cam;
//ControlP5
ControlP5 controlP5;
PMatrix3D currCameraMatrix;
PGraphics3D g3; 

Table dataTable2012, dataTable2013;
Table continentTable;

PFont  myHelvetica15 = createFont("Helvetica",15, true);
PFont  myHelvetica30 = createFont("Helvetica",30, true);

int dataRows2013, dataRows2012, dataRows, continentRows;
String[][] continentCode;
int[][] continentColor1= {{251,180,174}, {179,205,227}, {204,235,197}, {222,203,228}, {254,217,166}, {255,255,204} };
int[][] continentColor2= {{127,201,127}, {190,174,212}, {253,192,134}, {255,255,153}, {56,108,176}, {240,2,127}};
int[][] continentColor3= {{141,211,199}, {255,255,179}, {190,186,218}, {251,128,114}, {128,177,211}, {253,180,98}};
int[][] continentColor4= {{166,206,227}, {31,120,180}, {178,223,138}, {51,160,44}, {251,154,153}, {227,26,28}};
int[][] continentColor5= {{87,125,155}, {60,154,167}, {58,182,163}, {103,206,144}, {166,225,121}, {239,238,105}};
int[][] continentColor6= {{33,49,62}, {38,85,97}, {38,125,126}, {54,166,145}, {96,208,152}, {155,248,151}};
int[][][] continentColor;

String[][] contCodeName = {{"AF", "Africa"}, {"NA", "North America"}, {"OC", "Oceania"}, {"AS", "Asia"}, {"EU", "Europe"}, {"SA", "South America"}};

int pointTransparency=60;
int pointSize = 10;

int colorScheme = 1;
float alpha;
int guiMarginX = 100;
int guiMarginY = 150;
int buttonWidth = 80;
int buttonHeight = 20;
int legendMarginX;
int legendMarginY;

ArrayList<Geo> geos;

boolean globeOnValue = true;
