import geocoder
import csv
from geopy.distance import vincenty
from collections import Counter
from operator import itemgetter

spl = (47.6067006, -122.3325009)  # coordinates of seattle public library
data = []
with open("./data/raw2012.csv", "rb") as fr:
    reader = csv.reader(fr)
    reader.next()
    for row in reader:
        data.append(row)

latlng = []
for address in data[4500:]:
    g = geocoder.google(address)
    coordinates = (g.lat, g.lng)
    distanceToSPL = vincenty(spl, coordinates).miles
    if g.lat != "None":
        latlng.append(str(g.lat) + "," + str(g.lng) + "," + str(distanceToSPL) + "," + str(g.country))
    print address
    print data.index(address)

newData = Counter(latlng)
newData = sorted(newData.iteritems(), key=itemgetter(1))

with open("./data/output2012P3.csv", "wb") as fw:
    writer = csv.writer(fw)
    writer.writerows(newData)
