//Author: Bo Yan (http://geog.ucsb.edu/~boyan/)
//Date: 2/21/2015
//Project: MAT259 3D Visualization

void setHUD() {
  //hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();
  noStroke();
  textFont(myHelvetica30);
  fill(255);
  text("Mapping Your Book Publishers", guiMarginX, guiMarginY-80);
  textFont(myHelvetica15);
  text("Geolocating the publishers of the books in Seattle Public Library", guiMarginX, guiMarginY-50);
  strokeWeight(16);
  for (int i=0; i<6; i++) {
    int fillR = continentColor[colorScheme-1][i][0];
    int fillG = continentColor[colorScheme-1][i][1];
    int fillB = continentColor[colorScheme-1][i][2];
    stroke(fillR,fillG,fillB, alpha);
    point(legendMarginX,legendMarginY+i*1.5*16);
    textFont(myHelvetica15);
    fill(255);
    noStroke();
    text(contCodeName[i][1], legendMarginX + 1.5*16,legendMarginY+i*1.5*16+5);
  }
  cam.endHUD();
}
